Create Slack Bot
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/slack-bots';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","setupType":"quant","systemPrompt":"example","modelId":"example","temperature":1,"maxTokens":1,"allowedTools":["example"],"assignedSkills":["example"],"allowedCollections":["example"],"allowedSubAgents":["example"],"guardrailPreset":"example","filterPolicies":["example"],"longContext":true,"sessionTtlDays":1,"allowedChannels":["example"],"allowedUsers":["example"],"deniedUsers":["example"],"allowGuests":true,"homeTabContent":"example","agentAccessControl":{},"keywordsEnabled":true,"keywords":["example"]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/slack-bots \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "setupType": "quant", "systemPrompt": "example", "modelId": "example", "temperature": 1, "maxTokens": 1, "allowedTools": [ "example" ], "assignedSkills": [ "example" ], "allowedCollections": [ "example" ], "allowedSubAgents": [ "example" ], "guardrailPreset": "example", "filterPolicies": [ "example" ], "longContext": true, "sessionTtlDays": 1, "allowedChannels": [ "example" ], "allowedUsers": [ "example" ], "deniedUsers": [ "example" ], "allowGuests": true, "homeTabContent": "example", "agentAccessControl": {}, "keywordsEnabled": true, "keywords": [ "example" ] }'Creates a new Slack bot with inline AI agent configuration. A backing agent is created automatically — callers do not need to manage agents separately.
*
* Setup Types:
* - quant: Quant-managed Slack app — uses shared OAuth credentials
* - byo: Bring Your Own — customer provides their own Slack app credentials
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”The organisation ID
Request Bodyrequired
Section titled “Request Bodyrequired”object
Display name for the bot
Whether to use Quant-managed or customer-provided Slack app
System prompt for the backing AI agent
AI model identifier
Sampling temperature
Maximum response tokens
Tools the agent may use
Skills assigned to the agent
Vector DB collections the agent may query
Sub-agents the agent may call
Guardrail preset name
Content filter policies
Enable long context mode
Session TTL in days
Slack channel IDs the bot may respond in
Slack user IDs allowed to interact with the bot
Slack user IDs denied from interacting with the bot
Whether guest users may interact with the bot
Content shown on the bot’s Home tab in Slack
Agent-level access control settings
object
Whether keyword triggers are enabled
Keywords that trigger the bot
Responses
Section titled “Responses”Slack bot created successfully
object
object
Examplegenerated
{ "bot": {}}Invalid request parameters
Access denied
Failed to create Slack bot
